TITLE   'Poisson Equation'						    { apx2.pde }
SELECT     errlim=1e-4     ngrid=5     regrid off
VARIABLES     u
DEFINITIONS
  Lx=2     Ly=2    u_ex=y*sin(x-1)
EQUATIONS
   del2(u)=-y*sin(x-1)
BOUNDARIES
region 'domain' start 'outer'  (0,0)  value(u)=u_ex
   line to (Lx,0) to (Lx,Ly) to (0,Ly) to finish
PLOTS
   grid( x,y)
   contour( u) painted
   contour( u-u_ex) painted
   contour( u-u_ex)  fixed range(-1e-8, 1e-8)
END


