TITLE								        { mex051.pde }
   'Laplace Equation'
SELECT						{ Student Version }
   spectral_colors     errlim=1e-5          	{ Requested relative accuracy }
VARIABLES
   U							{ Unknown }
DEFINITIONS
   Lx=1     Ly=1     U_ex=x^2- y^2		{ Exact solution }
EQUATIONS
   div( grad( U))=0				{ Laplace PDE }
BOUNDARIES
region 'domain' start(-Lx,-Ly)         				
   value(U)=U_ex   line to (Lx,-Ly)  	{ U known on boundary }
   value(U)=U_ex   line to (Lx,Ly)
   value(U)=U_ex   line to (-Lx,Ly)
   value(U)=U_ex   line to close
PLOTS
   contour( U)     surface( U)     contour( U_ex)     contour( U-U_ex)	
END


