TITLE								       { mex052a.pde }
   'Laplace Equation, Multiplied'
SELECT						{ Student Edition }
   spectral_colors     errlim=1e-5          	{ Requested relative accuracy }
VARIABLES
   U							{ Unknown }
DEFINITIONS
   Lx=1     Ly=1     U_ex=x^2- y^2		{ Exact solution }
EQUATIONS
   div( 5*grad( U))=0				{ Laplace PDE }
BOUNDARIES
region 'domain' start(-Lx,-Ly)
   value(U)=U_ex   line to (Lx,-Ly)       		
   natural(U)=5*2*x   line to (Lx,Ly) 	{ Outward derivative, dx(U) }
   value(U)=U_ex   line to (-Lx,Ly)
   value(U)=U_ex   line to close
PLOTS
   contour( U)     surface( U)     contour( U_ex)     contour( U-U_ex)	
END

