TITLE     'Plate with Free Boundaries' 			    { mex143aa.pde }
SELECT   stages=500     spectral_colors	
DEFINITIONS
   L=1     h=0.8
   transfer( 'ur_6', ur)     transfer( 'vr_6',  vr)  		{ For the 8th mode }
   wt=(stage-1)/200* 2*pi 		{ Omega*t in 200 steps per turn }
   u=ur*cos(wt)     v=vr*cos(wt)	{ Actual displacement }
BOUNDARIES
region 'domain'
   start (0,-h/2) line to (L,-h/2) to (L,h/2) to (0,h/2)  line to close     	
PLOTS
   grid( x+0.03*u, y+0.03*v)
END
TITLE     'Plate with Free Boundaries' 			    { mex143aa.pde }
SELECT   stages=500     spectral_colors	
DEFINITIONS
   L=1     h=0.8
   transfer( 'ur_6', ur)     transfer( 'vr_6',  vr)  		{ For the 8th mode }
   wt=(stage-1)/200* 2*pi 		{ Omega*t in 200 steps per turn }
   u=ur*cos(wt)     v=vr*cos(wt)	{ Actual displacement }
BOUNDARIES
region 'domain'
   start (0,-h/2) line to (L,-h/2) to (L,h/2) to (0,h/2)  line to close     	
PLOTS
   grid( x+0.03*u, y+0.03*v)
END

