TITLE      'Eigenstates of a Membrane '       		        { mex151.pde }
SELECT     modes=15     spectral_colors
VARIABLES     w				{ Student Version }
DEFINITIONS
   r0=0.1     freq=sqrt( lambda)	{ For suitable membrane properties }
EQUATIONS
   del2( w)+ lambda*w=0				
BOUNDARIES
region 'membrane'     			{ Vanishing w on the boundary }
   start(r0,0)  value(w)=0 arc( center=0,0) angle=360 close
PLOTS
   contour( w) painted report( freq)     surface( w)
END


