{ Block of definitions for later descriptors }		         { defuvw.pde }
   C=E/(1+mu)/(1-2*mu)     G=E/[2*(1+mu)]
   ve=vector( u, v, w)     vem=magnitude( ve)	{ Displacement }
   ex=dx(u)     ey=dy(v)     ez=dz(w)                 	{ Strain components }
   exy= dx(v)+ dy(u)     eyz= dy(w)+ dz(v)     exz= dz(u)+ dx(w)
               					{ Stress components, uniform T: }
   sx=C*((1-mu)*ex+ mu*ey+ mu*ez)
   sy=C*(mu*ex+ (1-mu)*ey+ mu*ez)
   sz=C*(mu*ex+ mu*ey+ (1-mu)*ez)  	
   sxy=G*exy     sxz=G*	exz     syz=G*eyz	
   sumsq=(sx-sy)^2+ (sy-sz)^2+ (sx-sz)^2	{ Mises stress: }
   mises=sqrt( sumsq/2+ 3*sxy^2+ 3*syz^2+ 3*sxz^2)
   energy_d=(1/2)*( sx*ex+ sy*ey+ sz*ez)	{ Energy density }
                  +(1/2)*( sxy*exy+ syz*eyz+ sxz*exz)	
 
 
