TITLE   'Animated Shear Vibration'			       	        { mex131aa.pde }
SELECT   stages=200  		
DEFINITIONS
   L=1     h=0.1
   transfer( 'vr', vr )				{ Read file into vr }
   wt=(stage-1)/200* 2*pi 			{ Omega*t in 50 steps per turn }
   v=vr*cos(wt)					{ Actual displacement }
BOUNDARIES
region 'domain'
   start (0,-h/2) line to (L,-h/2) to (L,h/2) to (0,h/2)  line to close     	
PLOTS
   elevation( v) from (0,0) to (L,0) fixed range(-2e-3,2e-3)
   grid(x, y+100*v) fixed range(-2e-3,2e-3)
END

